import es
import random
import cfglib
import playerlib
import popuplib

rs_info             = es.AddonInfo()
rs_info.name        = "RS-Multi"
rs_info.version     = "1.6.0"
rs_info.description = "A Script with multiple functions"
rs_info.author      = "Remilia Scarlet"
rs_info.credit      = "L.P.H (sounds), Casper (sounds), Techknow (models)"
rs_info.url         = "http://steamcommunity.com/profiles/76561197987420982 (profile link, for faster help)"

es.makepublic(rs_info.name)

es.ServerVar('rs-multi', rs_info.version, 'RS-Multi - Made by %s '%rs_info.author).makepublic()

config = cfglib.AddonCFG(es.getAddonPath("rs-multi") + "/rs-multi.cfg")
 
config.text("******************************")
config.text(" RS-Multi Config")
config.text(" 1 = ON    0 = OFF")
config.text("******************************")

rs_joinsounds_cfg   = config.cvar("rs_joinsounds_cfg",   1, "Joinsounds")
rs_winsounds_cfg    = config.cvar("rs_winsounds_cfg",    1, "Winsounds")
rs_guns_cfg         = config.cvar("rs_guns_cfg",         1, "Gun Menu")
rs_skins_cfg        = config.cvar("rs_skins_cfg",        1, "Skins Menu")
rs_deatheffect_cfg  = config.cvar("rs_deatheffect_cfg",  1, "Death Effect")
rs_nofalldamage_cfg = config.cvar("rs_nofalldamage_cfg", 1, "No Fall Damage. Damage can not be greater than your maximum health")
rs_bhopboost_cfg    = config.cvar("rs_bhopboost_cfg",    1, "Bunnyhop Boost.")
rs_noblock_cfg      = config.cvar("rs_noblock_cfg",      1, "No Block")
rs_startmoney_cfg   = config.cvar("rs_startmoney_cfg",   1, "Set startmoney to 16000 each round")
rs_nobomb_cfg       = config.cvar("rs_nobomb_cfg",       1, "Auto removal of C4")
rs_buyzone_cfg      = config.cvar("rs_buyzone_cfg",      1, "Remove Buyzone")
rs_ammo_cfg         = config.cvar("rs_ammo_cfg",         1, "Sets reserved ammo to be 1000")

config.write()

joinsounds = [
    'rs_multi/join-1.mp3',
    'rs_multi/join-2.mp3',
    'rs_multi/join-3.mp3',
    'rs_multi/join-4.mp3',
    'rs_multi/join-5.mp3',
]

c_vars = {
    'sv_airaccelerate': 999999999,
    'sv_enablebunnyhopping': 1,
}

weapon_ammos = {
    'weapon_glock':1000,
    'weapon_p228':1000,
    'weapon_deagle':1000,
    'weapon_fiveseven':1000,
    'weapon_elite':1000,
    'weapon_tmp':1000,
    'weapon_mac10':1000,
    'weapon_ump45':1000,
    'weapon_mp5navy':1000,
    'weapon_p90':1000,
    'weapon_galil':1000,
    'weapon_ak47':1000,
    'weapon_m4a1':1000,
    'weapon_aug':1000,
    'weapon_sg552':1000,
    'weapon_m249':1000,
    'weapon_scout':1000,
    'weapon_awp':1000,
    'weapon_sg550':1000,
    'weapon_g3sg1':1000,
    'weapon_m3':1000,
    'weapon_xm1014':1000,
}

def es_map_start(event_var):
    if rs_skins_cfg == 1:
        es.stringtable('downloadables', 'materials/models/player/techknow/grimreaper/grim.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/grimreaper/grim.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/grimreaper/grim2.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/grimreaper/grim2.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/grimreaper/grim2_n.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/grimreaper/grim_n.vtf')
        es.stringtable('downloadables', 'models/player/techknow/grimreaper/grim.dx80.vtx')
        es.stringtable('downloadables', 'models/player/techknow/grimreaper/grim.dx90.vtx')
        es.stringtable('downloadables', 'models/player/techknow/grimreaper/grim.mdl')
        es.stringtable('downloadables', 'models/player/techknow/grimreaper/grim.phy')
        es.stringtable('downloadables', 'models/player/techknow/grimreaper/grim.sw.vtx')
        es.stringtable('downloadables', 'models/player/techknow/grimreaper/grim.vvd')
        es.stringtable('downloadables', 'models/player/techknow/ironman_v3/ironman3.dx80.vtx')
        es.stringtable('downloadables', 'models/player/techknow/ironman_v3/ironman3.dx90.vtx')
        es.stringtable('downloadables', 'models/player/techknow/ironman_v3/ironman3.mdl')
        es.stringtable('downloadables', 'models/player/techknow/ironman_v3/ironman3.phy')
        es.stringtable('downloadables', 'models/player/techknow/ironman_v3/ironman3.sw.vtx')
        es.stringtable('downloadables', 'models/player/techknow/ironman_v3/ironman3.vvd')
        es.stringtable('downloadables', 'materials/models/player/techknow/ironman_v3/body.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/ironman_v3/body.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/ironman_v3/body_n.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/ironman_v3/flame.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/ironman_v3/flame.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/ironman_v3/head.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/ironman_v3/head.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/ironman_v3/head_n.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/ironman_v3/sphere.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/ironman_v3/sphere.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/spiderman3/body.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/spiderman3/body.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/spiderman3/body_n.vtf')
        es.stringtable('downloadables', 'models/player/techknow/spiderman3/spiderman3.dx80.vtx')
        es.stringtable('downloadables', 'models/player/techknow/spiderman3/spiderman3.dx90.vtx')
        es.stringtable('downloadables', 'models/player/techknow/spiderman3/spiderman3.mdl')
        es.stringtable('downloadables', 'models/player/techknow/spiderman3/spiderman3.phy')
        es.stringtable('downloadables', 'models/player/techknow/spiderman3/spiderman3.sw.vtx')
        es.stringtable('downloadables', 'models/player/techknow/spiderman3/spiderman3.vvd')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_chain.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_cloth2.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_cloth.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_cloth.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_cloth_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_eye.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_eye.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_eyelash.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_hair.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_hair.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_hair_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_horseshoe.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_lightwarp.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_shoes.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_skin.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_skin.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_skin_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_skirt2.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_skirt.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_skirt.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/alice/alice_skirt_normal.vtf')
        es.stringtable('downloadables', 'models/player/kuristaja/alice/alice.dx80.vtx')
        es.stringtable('downloadables', 'models/player/kuristaja/alice/alice.dx90.vtx')
        es.stringtable('downloadables', 'models/player/kuristaja/alice/alice.mdl')
        es.stringtable('downloadables', 'models/player/kuristaja/alice/alice.phy')
        es.stringtable('downloadables', 'models/player/kuristaja/alice/alice.sw.vtx')
        es.stringtable('downloadables', 'models/player/kuristaja/alice/alice.vvd')
        es.stringtable('downloadables', 'materials/models/player/slow/kirby/bump.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/kirby/kirby.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/kirby/kirby.vtf')
        es.stringtable('downloadables', 'models/player/slow/kirby/slow.dx80.vtx')
        es.stringtable('downloadables', 'models/player/slow/kirby/slow.dx90.vtx')
        es.stringtable('downloadables', 'models/player/slow/kirby/slow.mdl')
        es.stringtable('downloadables', 'models/player/slow/kirby/slow.phy')
        es.stringtable('downloadables', 'models/player/slow/kirby/slow.sw.vtx')
        es.stringtable('downloadables', 'models/player/slow/kirby/slow.vvd')
        es.stringtable('downloadables', 'materials/models/player/slow/jamis/venom_wos/slow_1.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/jamis/venom_wos/slow_1.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/jamis/venom_wos/slow_1_bump.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/jamis/venom_wos/slow_2.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/jamis/venom_wos/slow_2.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/jamis/venom_wos/slow_2_bump.vtf')
        es.stringtable('downloadables', 'models/player/slow/jamis/venom_wos/slow_v2.dx80.vtx')
        es.stringtable('downloadables', 'models/player/slow/jamis/venom_wos/slow_v2.dx90.vtx')
        es.stringtable('downloadables', 'models/player/slow/jamis/venom_wos/slow_v2.mdl')
        es.stringtable('downloadables', 'models/player/slow/jamis/venom_wos/slow_v2.phy')
        es.stringtable('downloadables', 'models/player/slow/jamis/venom_wos/slow_v2.sw.vtx')
        es.stringtable('downloadables', 'models/player/slow/jamis/venom_wos/slow_v2.vvd')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien.dx80.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien.dx90.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien.mdl')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien.phy')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien.sw.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien.vvd')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien.xbox.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_head.dx80.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_head.dx90.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_head.mdl')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_head.phy')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_head.sw.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_head.vvd')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_head.xbox.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_hs.dx80.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_hs.dx90.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_hs.mdl')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_hs.phy')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_hs.sw.vtx')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_hs.vvd')
        es.stringtable('downloadables', 'models/player/slow/aliendrone/slow_alien_hs.xbox.vtx')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_arms.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_arms.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_arms_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_head.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_head.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_head_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_legs.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_legs.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_legs_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_torso.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_torso.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/aliendrone/drone_torso_normal.vtf')
        es.stringtable('downloadables', 'models/player/slow/chucky_v3/slow.dx80.vtx')
        es.stringtable('downloadables', 'models/player/slow/chucky_v3/slow.dx90.vtx')
        es.stringtable('downloadables', 'models/player/slow/chucky_v3/slow.mdl')
        es.stringtable('downloadables', 'models/player/slow/chucky_v3/slow.phy')
        es.stringtable('downloadables', 'models/player/slow/chucky_v3/slow.sw.vtx')
        es.stringtable('downloadables', 'models/player/slow/chucky_v3/slow.vvd')
        es.stringtable('downloadables', 'materials/models/player/slow/chucky/slow_chucky_bump.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/chucky/slow_chucky_haare.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/chucky/slow_chucky_haare.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/chucky/slow_klinge.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/chucky/slow_klinge.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/chucky/slow_knife.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/chucky/slow_knife.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/chucky/slow_knife_bump.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/chucky/slow_zombie_doll.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/chucky/slow_zombie_doll.vmt')
        es.stringtable('downloadables', 'models/player/sheik/zombie_yoda_v1/zombie_yoda_v1.dx80.vtx')
        es.stringtable('downloadables', 'models/player/sheik/zombie_yoda_v1/zombie_yoda_v1.dx90.vtx')
        es.stringtable('downloadables', 'models/player/sheik/zombie_yoda_v1/zombie_yoda_v1.mdl')
        es.stringtable('downloadables', 'models/player/sheik/zombie_yoda_v1/zombie_yoda_v1.phy')
        es.stringtable('downloadables', 'models/player/sheik/zombie_yoda_v1/zombie_yoda_v1.sw.vtx')
        es.stringtable('downloadables', 'models/player/sheik/zombie_yoda_v1/zombie_yoda_v1.vvd')
        es.stringtable('downloadables', 'materials/models/player/sheik/zombie_yoda_v1/yoda_body.vmt')
        es.stringtable('downloadables', 'materials/models/player/sheik/zombie_yoda_v1/yoda_body.vtf')
        es.stringtable('downloadables', 'materials/models/player/sheik/zombie_yoda_v1/yoda_body_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/sheik/zombie_yoda_v1/yoda_head.vmt')
        es.stringtable('downloadables', 'materials/models/player/sheik/zombie_yoda_v1/yoda_head.vtf')
        es.stringtable('downloadables', 'materials/models/player/sheik/zombie_yoda_v1/yoda_head_normal.vtf')
        es.stringtable('downloadables', 'models/player/techknow/miku/miku.dx80.vtx')
        es.stringtable('downloadables', 'models/player/techknow/miku/miku.dx90.vtx')
        es.stringtable('downloadables', 'models/player/techknow/miku/miku.mdl')
        es.stringtable('downloadables', 'models/player/techknow/miku/miku.phy')
        es.stringtable('downloadables', 'models/player/techknow/miku/miku.sw.vtx')
        es.stringtable('downloadables', 'models/player/techknow/miku/miku.vvd')
        es.stringtable('downloadables', 'materials/models/player/techknow/miku/giza.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/miku/giza.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/miku/hilight.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/miku/hilight.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/miku/miku1.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/miku/miku1.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/miku/miku2.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/miku/miku2.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/pbear/pbear.vmt')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/pbear/bear.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/pbear/bear_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/kuristaja/pbear/lightwarp2.vtf')
        es.stringtable('downloadables', 'models/player/kuristaja/pbear/pbear.dx80.vtx')
        es.stringtable('downloadables', 'models/player/kuristaja/pbear/pbear.dx90.vtx')
        es.stringtable('downloadables', 'models/player/kuristaja/pbear/pbear.mdl')
        es.stringtable('downloadables', 'models/player/kuristaja/pbear/pbear.phy')
        es.stringtable('downloadables', 'models/player/kuristaja/pbear/pbear.sw.vtx')
        es.stringtable('downloadables', 'models/player/kuristaja/pbear/pbear.vvd')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/0.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/0.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/1.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/1.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/2.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/2.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/3.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/3.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/4.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/4.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/5.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/5.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/6.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/6.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/7.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/7.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/8.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/8.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/9.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/9.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/10.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/10.vtf')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/11.vmt')
        es.stringtable('downloadables', 'materials/models/player/pil/rikku_ffx/11.vtf')
        es.stringtable('downloadables', 'models/player/pil/rikku_ffx/rikku.dx80.vtx')
        es.stringtable('downloadables', 'models/player/pil/rikku_ffx/rikku.dx90.vtx')
        es.stringtable('downloadables', 'models/player/pil/rikku_ffx/rikku.mdl')
        es.stringtable('downloadables', 'models/player/pil/rikku_ffx/rikku.phy')
        es.stringtable('downloadables', 'models/player/pil/rikku_ffx/rikku.sw.vtx')
        es.stringtable('downloadables', 'models/player/pil/rikku_ffx/rikku.vvd')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/body.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/body.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/body_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/ct_gign.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/ct_gign.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/eye_brow.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/eye_brow.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/head.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/head.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/head_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/head_pro.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/head_pro.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/head_pro_normal.vtf')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/zipper1.vmt')
        es.stringtable('downloadables', 'materials/models/player/slow/shiban_naruto/zipper1.vtf')
        es.stringtable('downloadables', 'models/player/slow/shiban_naruto/naruto.dx80.vtx')
        es.stringtable('downloadables', 'models/player/slow/shiban_naruto/naruto.dx90.vtx')
        es.stringtable('downloadables', 'models/player/slow/shiban_naruto/naruto.mdl')
        es.stringtable('downloadables', 'models/player/slow/shiban_naruto/naruto.phy')
        es.stringtable('downloadables', 'models/player/slow/shiban_naruto/naruto.sw.vtx')
        es.stringtable('downloadables', 'models/player/slow/shiban_naruto/naruto.vvd')
        es.stringtable('downloadables', 'materials/models/player/techknow/thorn/body.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/thorn/body.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/thorn/body_n.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/thorn/cape.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/thorn/collers.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/thorn/head.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/thorn/head.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/thorn/headlight.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/thorn/head_n.vtf')
        es.stringtable('downloadables', 'models/player/techknow/thorn/thorn.dx80.vtx')
        es.stringtable('downloadables', 'models/player/techknow/thorn/thorn.dx90.vtx')
        es.stringtable('downloadables', 'models/player/techknow/thorn/thorn.mdl')
        es.stringtable('downloadables', 'models/player/techknow/thorn/thorn.phy')
        es.stringtable('downloadables', 'models/player/techknow/thorn/thorn.sw.vtx')
        es.stringtable('downloadables', 'models/player/techknow/thorn/thorn.vvd')
        es.stringtable('downloadables', 'materials/models/player/techknow/jacks/body.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/jacks/body.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/jacks/body_n.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/jacks/head.vmt')
        es.stringtable('downloadables', 'materials/models/player/techknow/jacks/head.vtf')
        es.stringtable('downloadables', 'materials/models/player/techknow/jacks/head_n.vtf')
        es.stringtable('downloadables', 'models/player/techknow/jacks/jacks.dx80.vtx')
        es.stringtable('downloadables', 'models/player/techknow/jacks/jacks.dx90.vtx')
        es.stringtable('downloadables', 'models/player/techknow/jacks/jacks.mdl')
        es.stringtable('downloadables', 'models/player/techknow/jacks/jacks.phy')
        es.stringtable('downloadables', 'models/player/techknow/jacks/jacks.sw.vtx')
        es.stringtable('downloadables', 'models/player/techknow/jacks/jacks.vvd')
        es.stringtable('downloadables', 'materials/models/slenderman/face.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/hands_n.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/hands_w.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/lightwarp.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/mini_iridescence.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/skin_bump.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/slenderman_suit_n.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_hands.vmt')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_hands.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_lightwarp.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_mask_detail.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_mask_left.vmt')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_mask_left.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_mask_normal.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_mask_right.vmt')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_mask_right.vtf')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_suit.vmt')
        es.stringtable('downloadables', 'materials/models/slenderman/slender_suit.vtf')
        es.stringtable('downloadables', 'models/player/knifelemon/slenderman.dx80.vtx')
        es.stringtable('downloadables', 'models/player/knifelemon/slenderman.dx90.vtx')
        es.stringtable('downloadables', 'models/player/knifelemon/slenderman.mdl')
        es.stringtable('downloadables', 'models/player/knifelemon/slenderman.phy')
        es.stringtable('downloadables', 'models/player/knifelemon/slenderman.sw.vtx')
        es.stringtable('downloadables', 'models/player/knifelemon/slenderman.vvd')

    if rs_joinsounds_cfg == 1:
        es.stringtable('downloadables', 'sound/rs_multi/join-1.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/join-2.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/join-3.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/join-4.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/join-5.mp3')

    if rs_winsounds_cfg == 1:
        es.stringtable('downloadables', 'sound/rs_multi/win-1.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-2.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-3.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-4.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-5.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-6.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-7.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-8.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-9.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-10.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-11.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-12.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-13.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-14.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-15.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-16.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-17.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-18.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-19.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-20.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-21.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-22.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-23.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-24.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-25.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-26.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-27.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-28.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-29.mp3')
        es.stringtable('downloadables', 'sound/rs_multi/win-30.mp3')

    if rs_bhopboost_cfg == 1:
        for cvar in c_vars:
            es.flags('add', 'notify', cvar)

def server_cvar(event_var):
    if event_var['cvarname'] in c_vars:
        expected = str(c_vars[event_var['cvarname']])
        if event_var['cvarvalue'] != expected:
            es.ServerVar(event_var['cvarname']).set(expected)

def load():
    global rs_skins_main
    global rs_guns_main
    global rs_guns_sub1
    global rs_guns_sub2
    global rs_guns_sub3
    global rs_guns_sub4
    global rs_guns_sub5
    global rs_guns_sub6
    global rs_guns_sub7
    rs_skins_main = popuplib.easymenu('skin_Menu', '_popup_choice', skin_Menuselect)
    rs_skins_main.settitle('Skin Chooser')
    rs_skins_main.addoption('10', 'Alice')
    rs_skins_main.addoption('20', 'Aliendrone')
    rs_skins_main.addoption('30', 'Chucky')
    rs_skins_main.addoption('40', 'Grimreaper')
    rs_skins_main.addoption('50', 'Ironman')
    rs_skins_main.addoption('60', 'Jack Skeleton')
    rs_skins_main.addoption('70', 'Kirby')
    rs_skins_main.addoption('80', 'Naruto')
    rs_skins_main.addoption('90', 'Pedobear')
    rs_skins_main.addoption('100', 'Rikku')
    rs_skins_main.addoption('110', 'Slenderman')
    rs_skins_main.addoption('120', 'Spiderman')
    rs_skins_main.addoption('130', 'Thorn')
    rs_skins_main.addoption('140', 'Venom')
    rs_skins_main.addoption('150', 'Zombie Yoda')
    rs_guns_main = popuplib.easymenu('Gun_Menu', '_popup_choice', gun_menuselect)
    rs_guns_main.settitle('RS-Multi Gun Menu') 
    rs_guns_main.addoption('1', 'Pistols')
    rs_guns_main.addoption('2', 'Shotguns')
    rs_guns_main.addoption('3', 'Sub-Machine Guns')
    rs_guns_main.addoption('4', 'Rifles')
    rs_guns_main.addoption('5', 'Machine Guns')
    rs_guns_sub1 = popuplib.easymenu('Pistols_Menu', '_popup_choice', pistols_menuselect)
    rs_guns_sub1.settitle('Pistols')
    rs_guns_sub1.addoption('6', 'Glock')
    rs_guns_sub1.addoption('7', 'Usp')
    rs_guns_sub1.addoption('8', 'P228')
    rs_guns_sub1.addoption('9', 'Five-Seven')
    rs_guns_sub1.addoption('10', 'Deagle')
    rs_guns_sub1.addoption('11', 'Elite')
    rs_guns_sub2 = popuplib.easymenu('Shotguns_Menu', '_popup_choice', shotguns_menuselect)
    rs_guns_sub2.settitle('Shotguns')
    rs_guns_sub2.addoption('12', 'M3')
    rs_guns_sub2.addoption('13', 'Xm1014')
    rs_guns_sub3 = popuplib.easymenu('SubMachineGuns_Menu', '_popup_choice', submachineguns_menuselect)
    rs_guns_sub3.settitle('SMG')
    rs_guns_sub3.addoption('14', 'Tmp')
    rs_guns_sub3.addoption('15', 'Mac10')
    rs_guns_sub3.addoption('16', 'Ump45')
    rs_guns_sub3.addoption('17', 'Mp5navy')
    rs_guns_sub3.addoption('18', 'P90')
    rs_guns_sub3.addoption('19', 'Galil')
    rs_guns_sub4 = popuplib.easymenu('Rifles_Menu', '_popup_choice', rifles_menuselect)
    rs_guns_sub4.settitle('Rifles')
    rs_guns_sub4.addoption('20', 'Ak47')
    rs_guns_sub4.addoption('21', 'M4a1')
    rs_guns_sub4.addoption('22', 'Aug')
    rs_guns_sub4.addoption('23', 'Sg552')
    rs_guns_sub4.addoption('24', 'Scout')
    rs_guns_sub4.addoption('25', 'Awp')
    rs_guns_sub4.addoption('26', 'Sg550')
    rs_guns_sub4.addoption('27', 'G3sg1')
    rs_guns_sub5 = popuplib.easymenu('Machinegun_Menu', '_popup_choice', machinegun_menuselect)
    rs_guns_sub5.settitle('Machine Gun')
    rs_guns_sub5.addoption('28', 'M249')
    config.execute()

def skin_Menuselect(userid, choice, popupid):
    player = playerlib.getPlayer(userid)
    if choice == '10':
        player.set("model", 'player/kuristaja/alice/alice.mdl')
    elif choice == '20':
        player.set("model", 'player/slow/aliendrone/slow_alien.mdl')
    elif choice == '30':
        player.set("model", 'player/slow/chucky_v3/slow.mdl')
    elif choice == '40':
        player.set("model", 'player/techknow/grimreaper/grim.mdl')
    elif choice == '50':
        player.set("model", 'player/techknow/ironman_v3/ironman3.mdl')
    elif choice == '60':
        player.set("model", 'player/techknow/jacks/jacks.mdl')
    elif choice == '70':
        player.set("model", 'player/slow/kirby/slow.mdl')
    elif choice == '80':
        player.set("model", 'player/slow/shiban_naruto/naruto.mdl')
    elif choice == '90':
        player.set("model", 'player/kuristaja/pbear/pbear.mdl')
    elif choice == '100':
        player.set("model", 'player/pil/rikku_ffx/rikku.mdl')
    elif choice == '110':
        player.set("model", 'player/knifelemon/slenderman.mdl')
    elif choice == '120':
        player.set("model", 'player/techknow/spiderman3/spiderman3.mdl')
    elif choice == '130':
        player.set("model", 'player/techknow/thorn/thorn.mdl')
    elif choice == '140':
        player.set("model", 'player/slow/jamis/venom_wos/slow_v2.mdl')
    elif choice == '150':
        player.set("model", 'player/sheik/zombie_yoda_v1/zombie_yoda_v1.mdl')

def gun_menuselect(userid, choice, popupid):
    if choice == '1':
        rs_guns_sub1.send(userid)
    elif choice == '2':
        rs_guns_sub2.send(userid)
    elif choice == '3':
        rs_guns_sub3.send(userid)
    elif choice == '4':
        rs_guns_sub4.send(userid)
    elif choice == '5':
        rs_guns_sub5.send(userid)
        
def pistols_menuselect(userid, choice, popupid):
    if choice == '6':
        es.server.cmd("es_xgive %s weapon_glock" % userid)
    elif choice == '7':
        es.server.cmd("es_xgive %s weapon_usp" % userid)
    elif choice == '8':
        es.server.cmd("es_xgive %s weapon_p228" % userid)
    elif choice == '9':
        es.server.cmd("es_xgive %s weapon_fiveseven" % userid)
    elif choice == '10':
        es.server.cmd("es_xgive %s weapon_deagle" % userid)
    elif choice == '11':
        es.server.cmd("es_xgive %s weapon_elite" % userid)
        
def shotguns_menuselect(userid, choice, popupid):
    if choice == '12':
        es.server.cmd("es_xgive %s weapon_m3" % userid)
    elif choice == '13':
        es.server.cmd("es_xgive %s weapon_xm1014" % userid)
        
def submachineguns_menuselect(userid, choice, popupid):
    if choice == '14':
        es.server.cmd("es_xgive %s weapon_tmp" % userid)
    elif choice == '15':
        es.server.cmd("es_xgive %s weapon_mac10" % userid)
    elif choice == '16':
        es.server.cmd("es_xgive %s weapon_ump45" % userid)
    elif choice == '17':
        es.server.cmd("es_xgive %s weapon_mp5navy" % userid)
    elif choice == '18':
        es.server.cmd("es_xgive %s weapon_p90" % userid)
    elif choice == '19':
        es.server.cmd("es_xgive %s weapon_galil" % userid)
        
def rifles_menuselect(userid, choice, popupid):
    if choice == '20':
        es.server.cmd("es_xgive %s weapon_ak47" % userid)
    elif choice == '21':
        es.server.cmd("es_xgive %s weapon_m4a1" % userid)
    elif choice == '22':
        es.server.cmd("es_xgive %s weapon_aug" % userid)
    elif choice == '23':
        es.server.cmd("es_xgive %s weapon_sg552" % userid)
    elif choice == '24':
        es.server.cmd("es_xgive %s weapon_scout" % userid)
    elif choice == '25':
        es.server.cmd("es_xgive %s weapon_awp" % userid)
    elif choice == '26':
        es.server.cmd("es_xgive %s weapon_sg550" % userid)
    elif choice == '27':
        es.server.cmd("es_xgive %s weapon_g3sg1" % userid)
        
def machinegun_menuselect(userid, choice, popupid):
    if choice == '28':
        es.server.cmd("es_xgive %s weapon_m249" % userid)

def player_activate(event_var):
    if rs_joinsounds_cfg == 1:
        userid = event_var['userid']
        ranSound = random.choice(joinsounds)
        es.playsound(userid, ranSound, 1.0)

def round_start(event_var):
    es.msg('#multi', '#lightgreen[RS-Multi] #greenIs Running On This Server!')

def round_end(event_var):
    if rs_winsounds_cfg == 1:
        rs_win = random.randint(1,30)
        if rs_win == 1:
            es.cexec_all('playgamesound', 'rs_multi/win-1.mp3')
        if rs_win == 2:
            es.cexec_all('playgamesound', 'rs_multi/win-2.mp3')
        if rs_win == 3:
            es.cexec_all('playgamesound', 'rs_multi/win-3.mp3')
        if rs_win == 4:
            es.cexec_all('playgamesound', 'rs_multi/win-4.mp3')
        if rs_win == 5:
            es.cexec_all('playgamesound', 'rs_multi/win-5.mp3')
        if rs_win == 6:
            es.cexec_all('playgamesound', 'rs_multi/win-6.mp3')
        if rs_win == 7:
            es.cexec_all('playgamesound', 'rs_multi/win-7.mp3')
        if rs_win == 8:
            es.cexec_all('playgamesound', 'rs_multi/win-8.mp3')
        if rs_win == 9:
            es.cexec_all('playgamesound', 'rs_multi/win-9.mp3')
        if rs_win == 10:
            es.cexec_all('playgamesound', 'rs_multi/win-10.mp3')
        if rs_win == 11:
            es.cexec_all('playgamesound', 'rs_multi/win-11.mp3')
        if rs_win == 12:
            es.cexec_all('playgamesound', 'rs_multi/win-12.mp3')
        if rs_win == 13:
            es.cexec_all('playgamesound', 'rs_multi/win-13.mp3')
        if rs_win == 14:
            es.cexec_all('playgamesound', 'rs_multi/win-14.mp3')
        if rs_win == 15:
            es.cexec_all('playgamesound', 'rs_multi/win-15.mp3')
        if rs_win == 16:
            es.cexec_all('playgamesound', 'rs_multi/win-16.mp3')
        if rs_win == 17:
            es.cexec_all('playgamesound', 'rs_multi/win-17.mp3')
        if rs_win == 18:
            es.cexec_all('playgamesound', 'rs_multi/win-18.mp3')
        if rs_win == 19:
            es.cexec_all('playgamesound', 'rs_multi/win-19.mp3')
        if rs_win == 20:
            es.cexec_all('playgamesound', 'rs_multi/win-20.mp3')
        if rs_win == 21:
            es.cexec_all('playgamesound', 'rs_multi/win-21.mp3')
        if rs_win == 22:
            es.cexec_all('playgamesound', 'rs_multi/win-22.mp3')
        if rs_win == 23:
            es.cexec_all('playgamesound', 'rs_multi/win-23.mp3')
        if rs_win == 24:
            es.cexec_all('playgamesound', 'rs_multi/win-24.mp3')
        if rs_win == 25:
            es.cexec_all('playgamesound', 'rs_multi/win-25.mp3')
        if rs_win == 26:
            es.cexec_all('playgamesound', 'rs_multi/win-26.mp3')
        if rs_win == 27:
            es.cexec_all('playgamesound', 'rs_multi/win-27.mp3')
        if rs_win == 28:
            es.cexec_all('playgamesound', 'rs_multi/win-28.mp3')
        if rs_win == 29:
            es.cexec_all('playgamesound', 'rs_multi/win-29.mp3')
        if rs_win == 30:
            es.cexec_all('playgamesound', 'rs_multi/win-30.mp3')

def player_say(event_var):
    userid = event_var['userid']
    if rs_guns_cfg == 1:
        if event_var['text'] == '/guns':
            rs_guns_main.send(userid)

    if rs_skins_cfg == 1:
        if event_var['text'] == '/skins':
            rs_skins_main.send(userid)

def player_falldamage(event_var):
    userid = event_var['userid']
    if rs_nofalldamage_cfg == 1:
        playerlib.getPlayer(userid).health += float(event_var['damage'])

def player_jump(event_var):
    userid = event_var['userid']
    if rs_bhopboost_cfg == 1:
        playerlib.getPlayer(userid).push(30, 4, 1)

def player_spawn(event_var):
    userid = event_var['userid']
    player = playerlib.getPlayer(userid)
    if rs_noblock_cfg == 1:
        es.setplayerprop(userid, 'CBaseEntity.m_CollisionGroup', 2)

    if rs_startmoney_cfg == 1:
        es.setplayerprop(userid, 'CCSPlayer.m_iAccount', 16000)

    if rs_buyzone_cfg == 1:
        es.fire(userid, 'func_buyzone', 'Kill')

def item_pickup(event_var):
    userid = event_var['userid']
    if rs_nobomb_cfg == 1:
        if event_var['item'] == 'c4':
            es.server.queuecmd('es_xfire %s weapon_c4 kill'%userid)
            es.server.queuecmd('es_cexec %s lastinv'%userid)

    if rs_ammo_cfg == 1:
	weapon = event_var['es_userweapon']
	if weapon in weapon_ammos:
		playerlib.getPlayer(event_var['userid']).setAmmo(weapon,weapon_ammos[weapon])

def player_death(event_var):
    userid = event_var['userid']
    if rs_deatheffect_cfg == 1:
        es.server.queuecmd('es_give %s env_entity_dissolver'%userid)
        es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "target cs_ragdoll"'%userid)
        es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "magnitude 1"'%userid)
        es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "dissolvetype %s"'%(userid, 3))
        es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "dissolvetype %s"'%(userid, 1))
        es.server.queuecmd('es_xfire %s env_entity_dissolver Dissolve'%userid)

def unload():
    rs_skins_main.delete()
    rs_guns_main.delete()
    rs_guns_sub1.delete()
    rs_guns_sub2.delete()
    rs_guns_sub3.delete()
    rs_guns_sub4.delete()
    rs_guns_sub5.delete()